Subject: bug#41488: 26.3; Cyrillic chars in output of find-dired and find-name-dired looks like '\234\188\123'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 May 2020 19:03:40 +0300

merge 41488 36085
thanks

> From: Viktor Larkin <[email-masked]>
> Date: Sat, 23 May 2020 17:40:51 +0300
> 
> I've no idea what causes this bug, but... When I do recursive search
> with find-dired or find-name-dired with cyrillic chars as search pattern
> (e.g. документ) I always get something like '\234\221\123' instead of
> correct cyrillic chars in file names and file paths. To reproduce:
> 
> 1. emacs -Q
> 
> 2. C-x d
> 
> 3. M-x find-name-dired
> 
> 4. RET
> 
> 5. документ*.txt
> 
> 6. RET
> 
> Output of locale in terminal and in eshell is the same. ru_RU.UTF-8 is a
> chosen encoding for LANG and LC_CTYPE. Emacs version is 26.3. GNU findutils
> version is 4.7.0.
> 
> I've found this topic
> https://www.reddit.com/r/emacs/comments/bvuv9q/cyrillic_letters_dont_work_with_find_in_emacs/eptkhsr/
> . Seems like bug is still in the wild.

This is a duplicate of bug#36085, which was found not to be an Emacs
bug.  See the discussion there:

  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=36085